    import {LogFrame} from 'f.lux/src/listeners/Logger.js'

public class | source

# LogFrame

## Constructor Summary

Public Constructor
public | constructor(store: *, id: *) |

## Member Summary

Public Members
public | actions: *[] |
public | active: boolean |
public | captureTime: * |
public | error: * |
public | id: * |
public | msg: * |
public | state: * |
public | store: * |
public | time: * |

## Method Summary

Public Methods
public | activate() |
public | addAction(action: *, impl: *) |
public | captureState() |
public | completed(time: *, currState: *) |
public | inactivate() |
public | onError(msg: *, error: *) |
public | print(filter: undefined, prevFrame: *, printState: boolean) |

## Public Constructors

### public constructor(store: *, id: *) source

#### Params:

Name | Type | Attribute | Description
store | * |  |
id | * |  |

## Public Members

### public actions: *[] source

### public active: boolean source

### public captureTime: * source

### public error: * source

### public id: * source

### public msg: * source

### public state: * source

### public store: * source

### public time: * source

## Public Methods

### public activate() source

### public addAction(action: *, impl: *) source

#### Params:

Name | Type | Attribute | Description
action | * |  |
impl | * |  |

### public captureState() source

### public completed(time: *, currState: *) source

#### Params:

Name | Type | Attribute | Description
time | * |  |
currState | * |  |

### public inactivate() source

### public onError(msg: *, error: *) source

#### Params:

Name | Type | Attribute | Description
msg | * |  |
error | * |  |

### public print(filter: undefined, prevFrame: *, printState: boolean) source

#### Params:

Name | Type | Attribute | Description
filter | undefined | optional default: undefined |
prevFrame | * |  |
printState | boolean | optional default: true |